[[!meta title="Contributing to Tails"]]

<div id="page-contribute">

<div id="intro">

<p>
There are many ways <strong>you</strong> can contribute to Tails:

<ul>
  <li>[[Make a donation|contribute/how/donate]]</li>
  <li>[[Test our release candidates|contribute/how/testing]]</li>
  <li>[[Setup a BitTorrent or HTTP mirror|contribute/how/mirror]]</li>
  <li>[[Help other Tails users|contribute/how/help]]</li>
  <li>[[Improve documentation|contribute/how/documentation]]</li>
  <li>[[Report bugs|doc/first_steps/bug_reporting]]</li>
  <li>[[Spread the word|contribute/how/promote]]</li>
  <li>[[Fix a bug|contribute/how/code]]</li>
  <li>[[Implement a new feature|contribute/how/code]]</li>
  <li>[[Improve Tails in your own language|contribute/how/translate]]</li>
  <li>[[Provide needed input to developers|contribute/how/input]]</li>
</ul>

</p>

<p>
<strong>Note:</strong> other pages in this section are not translated into
non-English languages, since they document no way to contribute to
Tails that is doable without understanding English.
Sorry about that.
</p>

</div> <!-- #intro-->

[[!toc levels=2]]

<div id="design">

	<h1>Design</h1>

	<p>Tails has a [[specification and design
	document|contribute/design]].</p>

	<p>Other design documentation:</p>

	[[!map pages="contribute/design/*"]]

</div> <!-- #design -->

<div id="tools">

	<h1>Tools</h1>

	<p>You can [[fetch Tails source code using Git|contribute/git]].</p>

	<p>Tails tasks are managed in Redmine at [[!tails_redmine "" desc="labs.riseup.net"]].</p>

	<p>Tails heavy tasks are often [[drafted as blueprints|blueprint]].</p>

</div> <!-- #tools -->

<div id="other">

	<h1>Other development pages</h1>

	<p></p>

	<ul>
	  <li><a href="http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=tails-dev@boum.org">bugs that we are interested in on the Debian BTS</a></li>
	</ul>

	[[!map pages="contribute/* and !contribute/design and !contribute/design/* and !contribute/how and !contribute/how/*"]]

</div> <!-- #other -->

<div id="talk">

  <h1>Talk with us</h1>

  [[!inline pages="contribute/talk" raw="yes"]]

</div> <!-- #talk -->

</div> <!-- #page-contribute -->

